package types

import "time"

// Device represent a device with all his settings.
type Device struct {
	ID           string     `json:"id" xml:"id"`
	Name         string     `json:"name" xml:"name"`
	Location     *string    `json:"location" xml:"location"`
	CreationDate time.Time  `json:"creation_date" xml:"creation_date"`
	UpdateDate   *time.Time `json:"update_date" xml:"update_date"`
}
