INSERT INTO devices (
  device_id,
  device_name,
  device_location,
  creation_date,
  update_date
)
VALUES ($1, $2, $3, $4, $5)
ON CONFLICT (device_id)
DO
  UPDATE SET
    device_name = EXCLUDED.device_name,
    device_location = EXCLUDED.device_location,
    update_date = date('now');